#include <stdio.h>
#include "defines.h"

int fprint_sep(FILE *fp,unchar *str,int sep)
/* 文字列を２桁づつセパレーターで区切って出力する */
/* 漢字非対応 */
{
unint i=0;
unchar c;
	/* ??:??:?? */
	/* 12 34 56 */
	while ((c=*str++)!=0) {
		if (fputc(c,fp)==EOF) return(1);
		if (((++i)%2)==0) {
			if (*str!=0) { /* 次が終わりでない時のみ */
				if (fputc2(sep,fp)==EOF) return(1);
			}
		}
	}
	return(0);
}
